Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-themes
Version:	2.28.1
Release:	1
BuildArch:	i686
License:	GNU/LGPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Themes collection for GNOME.

Requires:	gtk-engines >= 2.10.0 ccux-artwork >= 1.0.0

Prereq:		gtk2+

BuildRequires: 	autoconf
BuildRequires: 	automake
BuildRequires: 	intltool
BuildRequires: 	pkg-config
BuildRequires: 	gtk2+-devel
BuildRequires: 	libtool
BuildRequires: 	gettext
BuildRequires: 	gtk-engines
BuildRequires: 	icon-naming-utils

%description
Default themes for GNOME enviroment.

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q
find . -exec touch \{\} \;

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Clearlooks gtk theme is in gtk2-engines
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Clearlooks/gtk-2.0
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/README.html
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/ICON.png

# we want to own the icon caches
for dir in $RPM_BUILD_ROOT%{_datadir}/icons/*; do
  touch $dir/icon-theme.cache
done

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_datadir/icons
# themes where the gtk theme is shipped with the engine
%_datadir/themes/Clearlooks/*
%_datadir/themes/Crux/*
%_datadir/themes/Mist/*
# others
%_datadir/themes/Glider
%_datadir/themes/Glossy
%_datadir/themes/ClearlooksClassic
%_datadir/themes/HighContrast
%_datadir/themes/HighContrastInverse
%_datadir/themes/HighContrastLargePrint
%_datadir/themes/HighContrastLargePrintInverse
%_datadir/themes/Inverted
%_datadir/themes/LargePrint
%_datadir/themes/LowContrast
%_datadir/themes/LowContrastLargePrint
%_datadir/themes/Simple

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Mon Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.1-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- added Dropline Icon theme as default
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.3-2
- readded clearlooks
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.3-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-4
- readded clearlooks
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-3
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-2
- temp. disabled clearlook
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.90-1
- Update to Version 2.13.90
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.2-1
- Initial Release
